Bug 108670 - prelink breaks system after its first run, causes a Nautilus SIGILL
prelink breaks system after its first run, causes a Nautilus SIGILL
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2003-10-30 19:34 EST by Max Kanat-Alexander
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 03:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
nautilus core (bz2) (276.74 KB, application/x-bzip2)
2003-10-30 19:37 EST, Max Kanat-Alexander
no flags Details
Output of rpm -qa --last (85.15 KB, text/plain)
2003-10-30 19:38 EST, Max Kanat-Alexander
no flags Details

  None (edit)
Description Max Kanat-Alexander 2003-10-30 19:34:52 EST
Description of problem:
I did a package upgrade today, to a bunch of the most recent rawhide editions.
Everything on my system is updated to the most recent rawhide, now.

After the upgrade, when I restarted, gnome wouldn't start. It looks like
nautilus is dumping core with a SIGILL. I'll attach the core, and the output of
rpm -qa --last. 

The only thing that I have in my system that's unlisted in the rpm list are the
Nvidia drivers. I removed XFree86-Mesa-libGL, but I re-installed it with
--justdb afterward for dependency reasons.

I suspect that perhaps prelink is the culprit, as my system stops working
properly usually after (and during the time that) the prelink cron script runs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Update to latest rawhide.
2. (Probably -- run prelink cron script -- should be done automatically.)
3. Restart and attempt to log into GNOME.
Actual results:
Stops after it loads the Window Manager icon.

Expected results:
Continues to load, without a problem.

Comment 1 Max Kanat-Alexander 2003-10-30 19:37:32 EST
Created attachment 95619 [details]
nautilus core (bz2)

Here's the core that nautilus dumps. BTW, I'm actually writing this from the
failsafe terminal, where everything but nautilus runs okay.

Comment 2 Max Kanat-Alexander 2003-10-30 19:38:39 EST
Created attachment 95620 [details]
Output of rpm -qa --last

Here's the RPMs I installed recently.

Comment 3 Max Kanat-Alexander 2003-10-30 20:18:28 EST
Okay, I re-ran /etc/cron.daily/prelink in runlevel 3 and then went back to
runlevel 5 and everything is peachy.

So, it looks like when prelink runs that script for the first time (which I
think happens after the RPM is installed), it somehow horks the system. It's
done it to me in the past, too.

Comment 4 Max Kanat-Alexander 2004-10-11 02:46:02 EDT
By the way, I'm not sure if I can reproduce this anymore. It's been SO
LONG... I think it may have just been a Rawhide breakage that was
eventually fixed.
Comment 5 Jakub Jelinek 2004-10-11 03:54:09 EDT
Ok, let's close this and if you manage to reproduce it once again,
reopen with a tarball containing the failing binary and all libraries
it uses.
Comment 6 Daniel James 2004-11-24 18:45:34 EST
Hi Guys, I installed FC3 yesterday and it then ran prelink. After
playing for a bit I ran yum update and went to bed after saying 'y' to
the prompt.

This morning all hell broke loose and nautilus would not start. A lot
of other things were broken as well. I traced it back to hald not
starting (failed to shutdown).

When I ran hald --daemon=no --verbose=yes it would segfault. I tried
ltrace hald --daemon=no --verbose=yes and found that it was
segfaulting in a dbus function. I then got on irc and it was suggested
I try running 

/sbin/prelink /usr/lib/libdbus-*so*

This fixed hald so I then ran /etc/cron.daily/prelink.

Everything works fine now. I think this problem may have been caused
by upgrading some libs after running prelink that don't properly
prelink themselves.

Note You need to log in before you can comment on or make changes to this bug.